luajit (2.1.0~beta3+dfsg-5.1ubuntu0.18.04.1~esm1) bionic-security; urgency=medium

  * SECURITY UPDATE: stack-buffer-overflow
    - debian/patches/CVE-2024-25176.patch: fix zero stripping in %g number
      formatting.
    - CVE-2024-25176
  * SECURITY UPDATE: denial-of-service
    - debian/patches/CVE-2024-25177.patch: fix unsinking of IR_FSTORE for NULL
      metatable.
    - CVE-2024-25177
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2024-25178.patch: rework stack overflow handling
    - CVE-2024-25178

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 09 Jul 2026 16:38:15 +0000

luajit (2.1.0~beta3+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/362.patch:
    - fix from James Cowgill for mips64el miscompilation (Closes: #878817)
  * debian/patches/a057a07ab702e225e21848d4f918886c5b0ac06b.patch
    - align the soft-float patch to make 362 applicable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Oct 2017 11:24:21 +0200

luajit (2.1.0~beta3+dfsg-5) unstable; urgency=medium

  * Make ccall_copy_struct static to unpollute global library namespace
  * Refresh ppc64 support patch using gbp pq
  * Pull upstream PR to fix register allocation bug in arm64

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Oct 2017 08:48:09 +0000

luajit (2.1.0~beta3+dfsg-4) unstable; urgency=medium

  * Use a positive list of Architecture(s) in d/control (Closes: #875976)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Oct 2017 16:57:06 +0000

luajit (2.1.0~beta3+dfsg-3) unstable; urgency=medium

  * Explicitly disable unsupported architectures and sync the list between
    luajit and libluajit* (Closes: #875976)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Oct 2017 10:17:52 +0000

luajit (2.1.0~beta3+dfsg-2) unstable; urgency=low

  [ Enrico Tassi ]
  * Switch ppc64 support to PR#140

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Aug 2017 11:19:06 +0200

luajit (2.1.0~beta3+dfsg-1) unstable; urgency=low

  * Upload to unstable
  * Make the d/gbp.conf track the master/upstream for 2.1.x again

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Aug 2017 10:44:50 +0200

luajit (2.1.0~beta3-1) experimental; urgency=medium

  * libluajit-5.1-common is arch:all (binNMUability)
  * Bump standards version (no change)
  * Use better Vcs-Browser URL
  * Update symbols file for 2.1.0~beta3+dfsg release
  * Update patches for 2.1.0~beta3+dfsg release
  * New upstream version 2.1.0~beta3+dfsg

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 May 2017 14:32:33 +0200

luajit (2.1.0~beta2+dfsg-3) experimental; urgency=medium

  * Add ppc64el to Architecture: field in the packages, so ppc64el
    actually builds.w

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Apr 2016 00:11:08 +0200

luajit (2.1.0~beta2+dfsg-2) experimental; urgency=medium

  * Add ppc64 support based on https://github.com/PPC64/LuaJIT.git
  * Bump standards version to 3.9.7 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Apr 2016 23:20:00 +0200

luajit (2.1.0~beta2+dfsg-1) experimental; urgency=medium

  * Imported Upstream version 2.1.0~beta2+dfsg
  * Use DFSG sources again by removing doc/*
  * Remove unsupported release architectures: ppc64el and s390x

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Mar 2016 13:22:54 +0100

luajit (2.1.0~beta2-1) experimental; urgency=medium

  * Imported Upstream version 2.1.0~beta2
  * Rebase patches on top of 2.1.0~beta2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Mar 2016 21:47:46 +0100

luajit (2.1.0~beta1+dfsg-2) experimental; urgency=medium

  * Get rid of the versioned part of LUAJIT_VERSION_SYM patch
  * Revert "Add a package with debugging symbols", as dbgsym packages are
    now generated automatically (and we don't care about cruft in
    experimental)
  * Revert "Link luajit dynamically with libluajit-5.1-2" as the cost is
    too high

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jan 2016 10:48:10 +0100

luajit (2.1.0~beta1+dfsg-1) experimental; urgency=medium

  * Imported Upstream version 2.1.0~beta1+dfsg (Closes: #791973)
  * Rebase patches on top of 2.1.0~beta1+dfsg
  * Add symbols file for libluajit-5.1-2 and check for symbols changes in
    the library
  * Use repack.stub from pkg-perl-tools to do the dfsg version mangling
  * Add a patch that removes the version symbol from the symbol table, we
    enforce the library matching inside the packaging
  * Add some close coupling between luajit, libluajit-5.1-2 and
    libluajit-5.2-dev
  * Bump the dh compat to 9 to enable hardening build
  * Enable debugging symbols and create the -dbg package with debugging
    symbols (Closes: #805384)
  * Enable all architectures (Closes: #744948, #712975)
  * Rename the luajit-<version> binary just to luajit (Closes: #619981)
  * Link luajit dynamically with libluajit-5.1-2 (Closes: #781729)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Nov 2015 16:59:55 +0200

luajit (2.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #789321)
  * Build on Hurd (Closes: #712975)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 16:40:52 +0200

luajit (2.0.3+dfsg-3) unstable; urgency=medium

  * Fix FTBFS when /sbin is not in $PATH (Closes: 744917) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 25 Apr 2014 21:37:45 +0200

luajit (2.0.3+dfsg-2) unstable; urgency=medium

  * Fix multilib value in .pc file (Closes: #743762)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 08 Apr 2014 19:57:50 +0200

luajit (2.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release 
  * All patches disabled: integrated in the upstream makefile 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 13 Mar 2014 09:28:41 +0100

luajit (2.0.2+dfsg-3) unstable; urgency=medium

  * Add powerpcspe architecture for the -dev package (Closes: #734700)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 12 Feb 2014 11:10:29 +0100

luajit (2.0.2+dfsg-2) unstable; urgency=low

  * Fix .pc to spit -L/usr/lib/$DEB_HOST_MULTIARCH 
  * Fix .pc to spit multiarch aware INSTALL_CMOD 
  * Add /usr/lib/$DEB_HOST_MULTIARCH/lua/jit/ to the paths luajit will look
    at to find .lua files.  Meant to be used for luajit specific files. 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Sep 2013 00:06:13 +0200

luajit (2.0.2+dfsg-1) unstable; urgency=low

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 09 Jun 2013 16:04:50 +0200

luajit (2.0.1+hotfix1+dfsg-1) unstable; urgency=low

  * New upsream release
  * Packaging moved to git

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 20 May 2013 18:08:12 +0200

luajit (2.0.0+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 03 Nov 2012 14:07:56 +0100

luajit (2.0.0~rc1+dfsg-1) experimental; urgency=low

  * New upstream release adding support for mips, mipsel, powerpcspe and armhf
    (Closes: #634244)
  * libluajit-5.1-common made Multi-Arch: foreign (Closes: #691657)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 08 Apr 2012 22:55:02 +0200

luajit (2.0.0~beta9+dfsg-2) unstable; urgency=low

  * Added patch beta9_hotfix1
  * Update copyright file to adhere to DEP5 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 04 Feb 2012 13:52:02 +0100

luajit (2.0.0~beta9+dfsg-1) unstable; urgency=low

  * New upstream release with powerpc support
  * Refreshed quilt patches
  * Removed beta8_hotfix1 patch, no more needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 19 Dec 2011 17:20:40 +0100

luajit (2.0.0~beta8+dfsg-4) unstable; urgency=low

  * added -dev package to armel (Closes: #630814)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 19:34:32 +0200

luajit (2.0.0~beta8+dfsg-3) unstable; urgency=low

  * Bumped standards-version to 3.9.2, no changes
  * Multi-Arch support

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 11:13:50 +0200

luajit (2.0.0~beta8+dfsg-2) unstable; urgency=low

  * Added upstream patch: beta8_hotfix1

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 06 Jul 2011 09:23:02 +0200

luajit (2.0.0~beta8+dfsg-1) unstable; urgency=low

  * New upstream release with arm JIT support

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 24 Jun 2011 13:48:45 +0200

luajit (2.0.0~beta7+dfsg-1) unstable; urgency=low

  * New upstream release with arm support

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 May 2011 23:14:21 +0200

luajit (2.0.0~beta6+dfsg-1) unstable; urgency=low

  * new upstream release
  * watch file updated 
  * updated standards-version to 3.9.1, no change needed
  * updated copyright (extends to 2011)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 13 Feb 2011 13:22:20 +0100

luajit (2.0.0~beta5+dfsg-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 25 Aug 2010 09:40:46 +0200

luajit (2.0.0~beta4+dfsg-1) unstable; urgency=low

  * new upstream release
  * bumped stsandards version to 3.8.4, no changes 
  * switch to source format 3 + quilt 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 29 Mar 2010 11:28:36 +0200

luajit (2.0.0~beta3+dfsg-2) unstable; urgency=low

  * added build depend over quilt

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 07 Mar 2010 23:49:45 +0100

luajit (2.0.0~beta3+dfsg-1) unstable; urgency=low

  * new upstream release, adding support for amd64
  * updated copyright, now is 2005-2010 by Myke Pall
  * drop kFreeBSD-amd64 package, since it is unsupported by the upstream
    because there is no way to force FreeBSD mmap to return pointers
    fitting 32 bits. Moreover, since multiarch is not there yet, it is of
    little interest to compile a 32 bit version of the jitter with -m32, 
    since no external Lua C modules could then be loaded. 

    The upstream technical explanation for not supporting the FreeBSD 
    kernel on an amd64 system follows:

       JIT/x64 needs to allocate objects in the lower 2GB of
       virtual memory. Linux/x64 provides a MAP_32BIT flag for mmap().
       Unfortunately, FreeBSD doesn't have an equivalent flag. In
       addition it overrides mmap() hints in the lower 32GB (*), which
       foils a probing approach. MAP_FIXED cannot be used, since it
       unconditionally overwrites existing mappings.
       
       (*) The guilty FreeBSD kernel code:
           grep -C15 RLIMIT_DATA /usr/src/sys/vm/vm_mmap.c

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 07 Mar 2010 20:25:32 +0100

luajit (2.0.0~beta2+dfsg2-3) unstable; urgency=low

  * Do not depend on gcc-multilib on kfreebsd-i386 (Closes: 570489)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 19 Feb 2010 17:41:20 +0100

luajit (2.0.0~beta2+dfsg2-2) unstable; urgency=low

  * added kfreebsd patch (by the upstream) to recognize 
    __FreeBSD_kernel__ as posix system and link -ldl when
    uname -s gives 'GNU/FreeBSD' 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 20 Dec 2009 18:43:03 +0100

luajit (2.0.0~beta2+dfsg2-1) unstable; urgency=low

  * removed debian/luajit.1.txt, not needed anymore
  * fixed typo in control file (fiels -> files) 
  * added beta2-hotfix patch from upstream 
  * removed the /doc directory in the upstream sources, the upstream
    is going to make the doc non-free according to DFSG
  * added kfreebsd-i386 kfreebsd-amd64 to arch list 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 19 Dec 2009 13:42:54 +0100

luajit (2.0.0~beta2+dfsg-2) unstable; urgency=low

  * added quilt and lua5.1 to build-depends

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 18 Dec 2009 00:12:28 +0100

luajit (2.0.0~beta2+dfsg-1) unstable; urgency=low

  * Removed non free .css file, added README.source to explain

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 17 Dec 2009 21:54:26 +0100

luajit (2.0.0~beta2-1) unstable; urgency=low

  * Initial release. (Closes: #554033)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 09 Nov 2009 20:49:05 +0100
